Status: Resolved Priority: Must have
Author: Robert Lemke Category: Validation
Created: 2009-05-12 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: ValidatorResolver can't parse validator arguments containing round brackets
Description

Currently validation arguments defined in @validate annotations cannot contain round brackets ')' because they'd be interpreted as the
end of an argument expression. Additionally they can't contain commas and probably not even equal signs.

Make sure that either special characters can be escaped or that the values of the validation arguments have to be put into quotes.

Especially important for the RegularExpressionValidator.

Associated revisions
Revision abc7990d - 2009-06-29 15:10 - Karsten Dambekalns

[FIX] FLOW3 (Validation): ValidatorResolver can now parse validator arguments containing round brackets, commas, equal signs, fixes #3275. The
option values must be quoted for this to work (either single or double quotes will do).

History
#1 - 2009-05-12 15:10 - Robert Lemke
- Assigned To deleted (Andreas Förthner)

#2 - 2009-06-02 09:37 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#3 - 2009-06-04 15:01 - Robert Lemke
- Priority changed from Should have to Must have
- Target version changed from 283 to 1.0 alpha 2

#4 - 2009-06-24 17:19 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#5 - 2009-06-29 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2657.
